Problema con Catalyst al actualizar kernel 3.12(Solucionado)

Para que opines sobre pacman o comentes problemas instalando algún paquete.
Responder
modradek
Novato
Mensajes: 2
Registrado: 23 Oct 2013, 20:49

Problema con Catalyst al actualizar kernel 3.12(Solucionado)

Mensaje por modradek » 14 Nov 2013, 22:54

Hola. Hace un rato traté de actualizar mi kernel actual (3.11.6-1) al más reciente (3.12-1) con un pacman -Syu. La respuesta que obtuve indica que mi catalyst necesita una versión menor que 3.12:

Código: Seleccionar todo

 catalyst                                                               9,4 KiB   103K/s 00:00 [########################################################] 100%
 catalyst.sig                                                         287,0   B  0,00B/s 00:00 [########################################################] 100%
 core                                                                 105,9 KiB   259K/s 00:00 [########################################################] 100%
 extra                                                               1473,3 KiB  1187K/s 00:01 [########################################################] 100%
 community                                                           2025,5 KiB  1047K/s 00:02 [########################################################] 100%
 multilib                                                             110,8 KiB  1288K/s 00:00 [########################################################] 100%
 archlinuxfr
:: Iniciando actualización completa del sistema...
resolviendo dependencias...
verificando conflictos...
error: error al preparar la transacción (no se pudieron satisfacer las dependencias)
:: catalyst: necesita linux<3.12
Actualmente mi versión de catalyst es la 13.25.5, utilizo el repositorio de Vi0l0. La información que sale del dmesg | grep fglrx es ésta:
[fglrx] module loaded - fglrx 13.25.5 [Oct 24 2013] with 1 minors

Como solución provisional, tuve que congelar la actualización en /etc/pacman.conf con un IgnorePkg = linux linux-header . Después de intentar un nuevo -Syu, resultó que también tuve que congelar virtualbox-host-modules (mi versión es la 4.3.2-1) por el mismo motivo que Catalyst.

Hasta el momento, no he encontrado mayor información en la red, ni en la Wiki, ni en las páginas del kernel, la de Vi0l0 ni en la de AMD. Curiosamente -y eso es justo lo que me hace preocuparme de que algo ande mal- tampoco he encontrado nada sobre el error con los drivers privativos y este kernel en particular. Tengo poco más de un mes con Arch -vengo de Debian, donde (incluso en Testing) las actualizaciones tardan un buen rato- y me imagino que sólo queda esperar a la actualización y luego pasar al nuevo kernel. ¿Estoy bien o hubo algún error que se me pasó?

¡Gracias!
Última edición por modradek el 19 Nov 2013, 18:36, editado 2 veces en total.

modradek
Novato
Mensajes: 2
Registrado: 23 Oct 2013, 20:49

Re: Problema con Catalyst al actualizar kernel 3.12

Mensaje por modradek » 19 Nov 2013, 18:35

Hoy salió ell nuevo catalyst. No hace falta más que actualizar el sistema (aún con el pacman.conf comentado) y luego actualizarlo una vez más, ya sin congelar el kernel (ni virtualbox, en mi caso).

Responder